Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Network_Priority_Mapping Class Reference

The interface for priority mapping. More...

`#include <Network_Priority_Mapping.h>`

Inheritance diagram for TAO_Network_Priority_Mapping:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Network_Priority_Mapping (void)
| The destructor.
virtual CORBA::Boolean | to_network (RTCORBA::Priority corba_priority, RTCORBA::NetworkPriority &network_priority)=0
virtual CORBA::Boolean | to_CORBA (RTCORBA::NetworkPriority network_priority, RTCORBA::Priority &corba_priority)=0

## Detailed Description

The interface for priority mapping.

Check the RT-CORBA spec (orbos/99-02-12) secions 4.5.2

## Constructor & Destructor Documentation

TAO_Network_Priority_Mapping::~TAO_Network_Priority_Mapping | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

virtual CORBA::Boolean TAO_Network_Priority_Mapping::to_CORBA | ( | RTCORBA::NetworkPriority | network_priority,
|  | RTCORBA::Priority & | corba_priority
| ) | `[pure virtual]`

| Implemented in TAO_Linear_Network_Priority_Mapping.

virtual CORBA::Boolean TAO_Network_Priority_Mapping::to_network | ( | RTCORBA::Priority | corba_priority,
|  | RTCORBA::NetworkPriority & | network_priority
| ) | `[pure virtual]`

| Implemented in TAO_Linear_Network_Priority_Mapping.

The documentation for this class was generated from the following files:

- Network_Priority_Mapping.h
- Network_Priority_Mapping.cpp